<?
//********************************************************************
//* Piccy-Cabinet                                                    *
//* Copyright (c) Album-System All rights Reserved.                  *
//* url:http://www.album-system.com/                                 *
//* e-mail:webmaster@album-system.com                                *
//* Create：2007-03-01(Bata1)                                        *
//* Update：2007-06-10(Bata2)                                        *
//* Update：2007-06-30(0.1.00)                                       *
//********************************************************************
//================================================================

//コンフィグファイル読み込み
require_once("config_common.php");

//Log4php関係
//log4phpのインストールディレクトリ
define('LOG4PHP_DIR', 'lib/log4php');
//プロパティファイルの指定
define('LOG4PHP_CONFIGURATION', './log4php.properties');
require_once(LOG4PHP_DIR . '/LoggerManager.php');


//初期化処理、構成変更系
$Log[0000] = array(INFO,"DISP","Info","隠し機能強制初期化処理を実行しました。");
$Log[0001] = array(INFO,"DISP","Info","初期化処理Step2が正常終了しました。");
$Log[0002] = array(INFO,"DISP","Info","初期化処理Step3が正常終了しました。");
$Log[0003] = array(INFO,"DISP","Info","コンフィグファイルの変更が正常終了しました。");
$Log[0004] = array(INFO,"DISP","Info","コンフィグ情報の変更が正常終了しました。");
$Log[0005] = array(INFO,"DISP","Info","アルバムアップデート処理が正常終了しました。");
$Log[0006] = array(INFO,"DISP","Info","サムネイル一括再作成処理が正常終了しました。");
$Log[0007] = array(INFO,"NOTDISP","Info","コンフィグ情報(テンプレート)の変更が正常終了しました。");

$Log[0100] = array(ERROR,"DISP","Error","コンフィグファイルの作成に失敗しました。");
$Log[0101] = array(ERROR,"DISP","Error","アルバム名が入力されていません。");
$Log[0102] = array(ERROR,"DISP","Error","ログファイル名が入力されていません。");
$Log[0103] = array(ERROR,"DISP","Error","コンフィグファイルの作成に失敗しました。");
$Log[0104] = array(ERROR,"DISP","Error","テンプレートが選択されていません。テンプレートが正常に配置されていない可能性があります。");
$Log[0105] = array(ERROR,"DISP","Error","ログファイルサイズは、数値で入力してください。(Byte)");
$Log[0106] = array(ERROR,"DISP","Error","DB接続チェックに失敗しました。DBを作成し、値を正しく入力してください。");
$Log[0107] = array(ERROR,"DISP","Error","指定された写真格納フォルダが不正です。フォルダが正しいか、フォルダに書き込み権限があるか確認してください。");
$Log[0108] = array(ERROR,"DISP","Error","PHPパスまたは、NULデバイスの設定が不正です。");
$Log[0109] = array(ERROR,"DISP","Error","GDライブラリーが導入されていません");
$Log[0110] = array(ERROR,"DISP","Error","PHPのExifモジュールが導入されていません。通常動作には、問題ありませんが、導入をお勧めします。");
$Log[0111] = array(WARNING,"DISP","Warning","php.iniの設定が不正です。memory_limit >= post_max_size >= upload_max_filesize に変更してください。");
$Log[0112] = array(ERROR,"DISP","Error","サムネイル１のリサイズポリシーが選択されていません。");
$Log[0113] = array(ERROR,"DISP","Error","サムネイル１高さ指定は、数値で入力してください。(ピクセル)");
$Log[0114] = array(ERROR,"DISP","Error","サムネイル１横幅指定は、数値で入力してください。(ピクセル)");
$Log[0115] = array(ERROR,"DISP","Error","サムネイル１圧縮率指定は、数値で入力してください。");
$Log[0116] = array(ERROR,"DISP","Error","サムネイル１圧縮率指定は、０－１００の数値で入力してください。");
$Log[0117] = array(ERROR,"DISP","Error","サムネイル２のリサイズポリシーが選択されていません。");
$Log[0118] = array(ERROR,"DISP","Error","サムネイル２高さ指定は、数値で入力してください。(ピクセル)");
$Log[0119] = array(ERROR,"DISP","Error","サムネイル２横幅指定は、数値で入力してください。(ピクセル)");
$Log[0120] = array(ERROR,"DISP","Error","サムネイル２圧縮率指定は、数値で入力してください。");
$Log[0121] = array(ERROR,"DISP","Error","サムネイル２圧縮率指定は、０－１００の数値で入力してください。");
$Log[0122] = array(ERROR,"DISP","Error","コンフィグファイルの更新に失敗しました。");
$Log[0123] = array(ERROR,"DISP","Error","コンフィグ情報の更新に失敗しました。");
$Log[0124] = array(ERROR,"DISP","Error","サムネイル３のリサイズポリシーが選択されていません。");
$Log[0125] = array(ERROR,"DISP","Error","サムネイル３高さ指定は、数値で入力してください。(ピクセル)");
$Log[0126] = array(ERROR,"DISP","Error","サムネイル３横幅指定は、数値で入力してください。(ピクセル)");
$Log[0127] = array(ERROR,"DISP","Error","サムネイル３圧縮率指定は、数値で入力してください。");
$Log[0128] = array(ERROR,"DISP","Error","サムネイル３圧縮率指定は、０－１００の数値で入力してください。");
$Log[0129] = array(ERROR,"DISP","Error","サムネイル４のリサイズポリシーが選択されていません。");
$Log[0130] = array(ERROR,"DISP","Error","サムネイル４高さ指定は、数値で入力してください。(ピクセル)");
$Log[0131] = array(ERROR,"DISP","Error","サムネイル４横幅指定は、数値で入力してください。(ピクセル)");
$Log[0132] = array(ERROR,"DISP","Error","サムネイル４圧縮率指定は、数値で入力してください。");
$Log[0133] = array(ERROR,"DISP","Error","サムネイル４圧縮率指定は、０－１００の数値で入力してください。");
$Log[0134] = array(ERROR,"DISP","Error","アルバムアップデート処理が失敗しました。");


$Log[1001] = array(ERROR,"DISP","Error","ユーザ名またはパスワードが間違っています。");
$Log[1003] = array(WARNING,"NOTDISP","Warning","テーブル削除に失敗しました。");
$Log[1004] = array(ERROR,"DISP","Error","テーブル作成に失敗しました。");
$Log[1005] = array(ERROR,"DISP","Error","ユーザ作成に失敗しました。");
$Log[1006] = array(ERROR,"DISP","Error","ユーザ名およびパスワードが入力されていません。");
$Log[1007] = array(ERROR,"DISP","Error","バージョンファイルの書き込みに失敗しました。");
$Log[1008] = array(ERROR,"DISP","Error","アイドル時間による認証切れが発生しました。");
$Log[1009] = array(ERROR,"DISP","Error","有効期限切れによる認証切れが発生しました。");
$Log[1010] = array(INFO,"DISP","Info","ユーザの追加処理が正常終了しました。");
$Log[1011] = array(ERROR,"DISP","Error","ユーザ名は、半角英数字で入力してください。");
$Log[1012] = array(ERROR,"DISP","Error","カテゴリ名が入力されていません。");
$Log[1013] = array(ERROR,"DISP","Error","カテゴリ作成に失敗しました。");
$Log[1014] = array(INFO,"DISP","Info","カテゴリの追加処理が正常終了しました。");
$Log[1015] = array(ERROR,"DISP","Error","アルバム名が入力されていません。");
$Log[1016] = array(ERROR,"DISP","Error","アルバム作成に失敗しました。");
$Log[1017] = array(INFO,"DISP","Info","アルバムの追加処理が正常終了しました。");
$Log[1018] = array(ERROR,"DISP","Error","指定したファイルの拡張子が不正です。ZIP形式で指定してください。");
$Log[1019] = array(ERROR,"DISP","Error","ファイルのアップロードに失敗しました。");
$Log[1020] = array(ERROR,"DISP","Error","アルバム作成実行コマンドに失敗しました。");
$Log[1021] = array(WARNING,"NOTDISP","Warning","テーブル一覧取得に失敗しました。");
$Log[1022] = array(INFO,"DISP","Info","アクセス権を登録しました。");
$Log[1023] = array(INFO,"DISP","Info","アクセス権を削除しました。");
$Log[1024] = array(ERROR,"DISP","Error","アクセス権の登録に失敗しました。");
$Log[1025] = array(ERROR,"DISP","Error","アクセス権の削除に失敗しました。");
$Log[1026] = array(ERROR,"DISP","Error","ユーザの削除に失敗しました。ユーザが作成したアルバムを先に削除してください。");
$Log[1027] = array(ERROR,"DISP","Error","ユーザの削除に失敗しました。ADMINユーザが１人以上必要です。");
$Log[1028] = array(ERROR,"DISP","Error","ユーザの削除に失敗しました。");
$Log[1029] = array(INFO,"DISP","Info","ユーザを削除しました。");
$Log[1030] = array(ERROR,"DISP","Error","ユーザの削除に失敗しました。ユーザが作成者となっているカテゴリの作成者を変更してくさい。");
$Log[1031] = array(ERROR,"DISP","Error","アクセス権の削除に失敗しました。削除対象のカテゴリにユーザが作成したアルバムがあります。アルバムを先に削除してください。");
$Log[1032] = array(ERROR,"DISP","Error","ユーザ名が入力されていません。");
$Log[1033] = array(ERROR,"DISP","Error","ユーザ情報の変更に失敗しました。");
$Log[1034] = array(INFO,"DISP","Info","ユーザ情報の変更処理が正常終了しました。");
$Log[1035] = array(ERROR,"DISP","Error","パスワードが入力されていません。");
$Log[1036] = array(ERROR,"DISP","Error","ユーザパスワードの変更に失敗しました。");
$Log[1037] = array(INFO,"DISP","Info","ユーザパスワードの変更処理が正常終了しました。");
$Log[1038] = array(ERROR,"DISP","Error","新しいパスワードと確認用で入力されたパスワードが一致しません。");
$Log[1039] = array(ERROR,"DISP","Error","カテゴリ削除に失敗しました。");
$Log[1040] = array(ERROR,"DISP","Error","カテゴリ削除中にアルバム削除に失敗しました。");
$Log[1041] = array(ERROR,"DISP","Error","カテゴリ削除中にアクセス権リストの削除に失敗しました。");
$Log[1042] = array(WARNING,"NOTDISP","Warning","カテゴリ削除中に写真ファイルの削除に失敗しました。");
$Log[1043] = array(INFO,"DISP","Info","カテゴリ削除処理が正常終了しました。");
$Log[1044] = array(ERROR,"DISP","Error","カテゴリ情報の変更に失敗しました。");
$Log[1045] = array(INFO,"DISP","Info","カテゴリ情報の変更処理が正常終了しました。");
$Log[1046] = array(ERROR,"DISP","Error","アルバム名が入力されていません。");
$Log[1047] = array(ERROR,"DISP","Error","アルバム作成に失敗しました。");
$Log[1048] = array(INFO,"DISP","Info","アルバムの追加処理が正常終了しました。");
$Log[1049] = array(ERROR,"DISP","Error","アルバム削除に失敗しました。");
$Log[1050] = array(WARNING,"NOTDISP","Warning","アルバム削除中に写真ファイルの削除に失敗しました。");
$Log[1051] = array(INFO,"DISP","Info","アルバム削除処理が正常終了しました。");
$Log[1052] = array(ERROR,"DISP","Error","アルバム名が入力されていません。");
$Log[1053] = array(ERROR,"DISP","Error","アルバム情報の変更に失敗しました。");
$Log[1054] = array(INFO,"DISP","Info","アルバム情報の変更処理が正常終了しました。");
$Log[1055] = array(ERROR,"DISP","Error","指定したファイルの拡張子が不正です。JPG形式で指定してください。");
$Log[1056] = array(ERROR,"DISP","Error","指定したファイル名で既に別の画像が登録済みです。画像の名称を変更して、アップしてください。");
$Log[1057] = array(ERROR,"DISP","Error","ファイルのアップロードに失敗しました。");
$Log[1058] = array(ERROR,"DISP","Error","画像の登録処理に失敗しました。");
$Log[1059] = array(INFO,"DISP","Info","画像の追加処理が正常終了しました。");
$Log[1060] = array(ERROR,"DISP","Error","画像の削除処理に失敗しました。");
$Log[1061] = array(INFO,"DISP","Info","画像の削除処理が正常終了しました。");
$Log[1062] = array(ERROR,"DISP","Error","画像のコメント変更処理に失敗しました。");
$Log[1063] = array(INFO,"DISP","Info","画像のコメント変更処理が正常終了しました。");
$Log[1064] = array(ERROR,"NOTDISP","Error","月別showカウント初期化処理に失敗しました。");
$Log[1065] = array(ERROR,"DISP","Error","アルバムダウンロード処理が失敗しました。");
$Log[1066] = array(INFO,"DISP","Info","アルバムダウンロード処理が成功しました。");


$Log[1500] = array(INFO,"NOTDISP","Info","月別showカウントの初期化処理が成功しました。");

//アルバム写真管理系
$Log[1901] = array(ERROR,"DISP","Error","アルバム作成中にフォルダ作成処理に失敗しました。");

//XML-APIログ関係
$Log[3000] = array(ERROR,"NOTDISP","Info","アルバム作成処理が成功しました。");
$Log[3001] = array(INFO,"NOTDISP","Info","アルバムダウンロード処理が成功しました。");

$Log[3100] = array(ERROR,"NOTDISP","Error","アルバム名が入力されていません。");
$Log[3101] = array(ERROR,"NOTDISP","Error","カテゴリが選択されていません。");
$Log[3102] = array(ERROR,"NOTDISP","Error","[Step1]アルバム作成に失敗しました。");
$Log[3103] = array(ERROR,"NOTDISP","Error","[Step1]アルバム作成中にフォルダ作成処理に失敗しました。");
$Log[3104] = array(ERROR,"NOTDISP","Error","[Step2]アルバム作成に失敗しました。");
$Log[3105] = array(ERROR,"NOTDISP","Error","アルバムダウンロード処理が失敗しました。");
$Log[3106] = array(ERROR,"NOTDISP","Error","ユーザ名またはパスワードが間違っています。");

$Log[5001] = array(ERROR,"DISP","Error","DBコネクトに失敗しました。");
$Log[5002] = array(ERROR,"DISP","Error","DBクエリーに失敗しました。");
$Log[5003] = array(ERROR,"DISP","Error","DBレコード数カウントに失敗しました。");
$Log[5004] = array(ERROR,"NOTDISP","Error","DBクエリーに失敗しました。");

$Log[6001] = array(ERROR,"NOTDISP","Error","ディレクトリの作成に失敗しました。");
$Log[6002] = array(ERROR,"NOTDISP","Error","ディレクトリのオープンに失敗しました。");
$Log[6003] = array(ERROR,"NOTDISP","Error","ファイルの削除に失敗しました。");
$Log[6004] = array(ERROR,"NOTDISP","Error","ディレクトリの削除に失敗しました。");
$Log[6005] = array(ERROR,"NOTDISP","Error","DBのレコード削除処理に失敗しました。");
$Log[6006] = array(ERROR,"NOTDISP","Error","アクセス権のないカテゴリへのアクセスが発生しました。");
$Log[6007] = array(ERROR,"NOTDISP","Error","作成ユーザでないユーザのアクセスが発生しました。");
$Log[6008] = array(ERROR,"NOTDISP","Error","ユーザIDが不正な処理が実施されました。");

$Log[8001] = array(ERROR,"NOTDISP","Error","ディレクトリの作成に失敗しました。");

$Log[9000] = array(DEBUG,"DISP","Debug","");
$Log[9900] = array(ERROR,"DISP","Error","サーバ内部エラー(DB関係)が発生しました。");
$Log[9901] = array(ERROR,"DISP","Error","アクセス権不正処理が行われました。強制ログアウトします。");
$Log[9902] = array(ERROR,"DISP","Error","サーバ内部エラーが発生しました。");
$Log[9999] = array(ERROR,"DISP","Error","スクリプト内部エラーが発生しました。");


//ロガー起動
$logger =& LoggerManager::getLogger(basename($_SERVER['SCRIPT_NAME']));

function shutdown_logger(){
	LoggerManager::shutdown();
}
	
function log_message($id,$mes) {
	global $Log;
	global $ConfigArray;
	global $Page;
	global $DEBUGMES;
	global $AuthObj;
	global $logger;
	
	//デバッグログ出力
	$DEBUGMES .= now_time().",".$Log[$id][2].",".$Log[$id][3].$mes;
	if(isset($AuthObj)){
		$DEBUGMES .= ",User=".$AuthObj->getUsername().",session_id=".session_id();
	}
	$DEBUGMES .= "<br>";
	
	
	//Log4phpでのログ出力	
	//ログ出力
	$remoteAddr = getenv( "REMOTE_ADDR" );
	LoggerMDC::put( 'REMOTE_ADDR', $remoteAddr );
	$message = "\"".$Log[$id][3].$mes;
	if(isset($AuthObj)){
			$message .=  ",User=".$AuthObj->getUsername().",session_id=".session_id();
	}
	$message .= "\"";
	
	switch ($Log[$id][0]) {
		case INFO:
			$logger->info($message);
			break;
		case WARNING:
			$logger->warn($message);
			break;
		case ERROR:
			$logger->error($message);
			break;
		case DEBUG:
			$logger->debug($message);
			break;
	}
	
	if(($Log[$id][0] == ERROR || $Log[$id][0] == WARNING) && !strcmp("DISP",$Log[$id][1])){
		$Page["ErrMesg"] .= $Log[$id][2].":".$Log[$id][3].$mes."<br>";
	}
	
	if($Log[$id][0] == INFO && !strcmp("DISP",$Log[$id][1])){
		$Page["InfoMesg"] .= $Log[$id][2].":".$Log[$id][3].$mes."<br>";
	}
}

?>